# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Tue Sep 26 08:43:36 2023
# ------------------------------------------------

package:
  name: attrs
  version: 23.1.0
source:
  patches:
    - patches/001-remove-fancy-pypi-readme.patch
  sha256: 6279836d581513a26f1bf235f9acd333bc9115683f14f7e8fae46c98fc50e015
  url: https://pypi.io/packages/source/a/attrs/attrs-23.1.0.tar.gz
build:
  number: '0'
  script: python -m pip install . --no-deps --no-build-isolation -vv
  string: py311h06a4308_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - patch 2.7.6 h7b6447c_1001
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2023.08.22 h06a4308_0
    - editables 0.3 py311h06a4308_0
    - hatch-vcs 0.3.0 py311h06a4308_0
    - hatchling 1.18.0 py311h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.4 h6a678d5_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.11 h7f8727e_2
    - packaging 23.1 py311h06a4308_0
    - pathspec 0.10.3 py311h06a4308_0
    - pip 23.2.1 py311h06a4308_0
    - pluggy 1.0.0 py311h06a4308_1
    - python 3.11.5 h955ad1f_0
    - readline 8.2 h5eee18b_0
    - setuptools 68.0.0 py311h06a4308_0
    - setuptools-scm 7.1.0 py311h06a4308_0
    - sqlite 3.41.2 h5eee18b_0
    - tk 8.6.12 h1ccaba5_0
    - trove-classifiers 2023.3.9 py311h06a4308_0
    - typing-extensions 4.7.1 py311h06a4308_0
    - typing_extensions 4.7.1 py311h06a4308_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.38.4 py311h06a4308_0
    - xz 5.4.2 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
  run:
    - python >=3.11,<3.12.0a0
test:
  commands:
    - pip check
    - pytest --fixtures tests -vv
  imports:
    - attr
  requires:
    - cloudpickle
    - hypothesis
    - mypy >=1.1.1
    - pip
    - psutil
    - pytest >=4.3.0
    - pytest-xdist
  source_files:
    - tests
about:
  description: 'attrs is the Python package that will bring back the joy of writing

    classes by relieving you from the drudgery of implementing object

    protocols (aka dunder methods). Its main goal is to help you to write

    concise and correct software without slowing down your code. For that, it

    gives you a class decorator and a way to declaratively define the

    attributes on that class:

    '
  dev_url: https://github.com/python-attrs/attrs
  doc_url: https://www.attrs.org/
  home: https://www.attrs.org/
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: attrs is the Python package that will bring back the joy of writing classes
    by relieving you from the drudgery of implementing object protocols (aka dunder
    methods).
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 0c0d1666-5978-4c27-95a8-c5fe69656304
  recipe-maintainers:
    - CJ-Wright
    - jochym
    - licode
    - nicoddemus
  remote_url: git@github.com:AnacondaRecipes/attrs-feedstock.git
  sha: 1befc471e6c75ee5501fad87aaddb7cf74b72373
